Index: /branches/BNC_2.12/Example_Configs/01_RinexObs.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/01_RinexObs.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/01_RinexObs.bnc	(revision 9235)
@@ -158,5 +158,3 @@
 snxtroSol=
 staTable=",,"
-useGoogleMap=false
-useOpenStreetMap=false
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/02_RinexEph.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/02_RinexEph.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/02_RinexEph.bnc	(revision 9235)
@@ -158,5 +158,3 @@
 snxtroSol=
 staTable=","
-useGoogleMap=false
-useOpenStreetMap=false
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/03_BrdcCorr.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/03_BrdcCorr.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/03_BrdcCorr.bnc	(revision 9235)
@@ -157,5 +157,3 @@
 snxtroSol=
 staTable=
-useGoogleMap=false
-useOpenStreetMap=false
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/04_RinexConcat.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/04_RinexConcat.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/04_RinexConcat.bnc	(revision 9235)
@@ -158,5 +158,3 @@
 snxtroSol=
 staTable=",,"
-useGoogleMap=false
-useOpenStreetMap=false
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/05_RinexQC.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/05_RinexQC.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/05_RinexQC.bnc	(revision 9235)
@@ -157,5 +157,3 @@
 snxtroSol=
 staTable=
-useGoogleMap=false
-useOpenStreetMap=false
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/06_RTK.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/06_RTK.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/06_RTK.bnc	(revision 9235)
@@ -158,5 +158,3 @@
 snxtroSol=
 staTable=",,"
-useGoogleMap=false
-useOpenStreetMap=false
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/07_FeedEngine.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/07_FeedEngine.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/07_FeedEngine.bnc	(revision 9235)
@@ -158,5 +158,3 @@
 snxtroSol=
 staTable=",,,,,,,,,,"
-useGoogleMap=false
-useOpenStreetMap=false
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/08_PPP.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/08_PPP.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/08_PPP.bnc	(revision 9235)
@@ -158,5 +158,3 @@
 snxtroSol=
 staTable="FFMJ00DEU0,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,,"
-useGoogleMap=false
-useOpenStreetMap=true
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/09_PPPNet.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/09_PPPNet.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/09_PPPNet.bnc	(revision 9235)
@@ -158,5 +158,3 @@
 snxtroSol=
 staTable="FFMJ00DEU0,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,,", "CUT000AUS0,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,,"
-useGoogleMap=false
-useOpenStreetMap=true
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/10_PPPQuickStart.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/10_PPPQuickStart.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/10_PPPQuickStart.bnc	(revision 9235)
@@ -158,5 +158,3 @@
 snxtroSol=
 staTable="FFMJ00DEU0,0.01,0.01,0.01,100.0,100.0,100.0,0.1,3e-6,7777,"
-useGoogleMap=true
-useOpenStreetMap=false
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/11_PPPPostProc.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/11_PPPPostProc.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/11_PPPPostProc.bnc	(revision 9235)
@@ -158,5 +158,3 @@
 snxtroSol=
 staTable="CUT07,0.01,0.01,0.01,100.0,100.0,100.0,0.1,3e-6,,"
-useGoogleMap=false
-useOpenStreetMap=true
 v3filenames=0
Index: anches/BNC_2.12/Example_Configs/12_PPPGoogleMaps.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/12_PPPGoogleMaps.bnc	(revision 9234)
+++ 	(revision )
@@ -1,162 +1,0 @@
-[General]
-adviseFail=15
-adviseReco=5
-adviseScript=
-autoStart=0
-outSampl=0.1 sec
-casterUrlList=http://User:Pass@www.igs-ip.net:2101, http://User:Pass@www.euref-ip.net:2101, http://User:Pass@products.igs-ip.net:2101
-cmbMaxres=
-cmbMethod=Filter
-cmbSampl=10
-cmbUseGlonass=0
-cmbStreams=
-corrIntr=1 day
-corrPath=
-corrPort=
-ephIntr=1 day
-ephPath=
-ephV3=0
-font=
-sslIgnoreErrors=0
-logFile=Output/PPPGoogleMaps.log
-miscMount=
-miscPort=
-mountPoints=@Invalid()
-ntripVersion=1
-adviseObsRate=
-onTheFlyInterval=no
-ephOutPort=
-outFile=
-outPort=
-outUPort=
-miscIntr=
-proxyHost=
-proxyPort=
-rawOutFile=
-reqcAction=
-reqcComment=
-reqcEndDateTime=
-reqcLogSummaryOnly=0
-reqcNavFile=
-reqcNewAntennaName=
-reqcNewAntennaNumber=
-reqcNewAntennadE=
-reqcNewAntennadN=
-reqcNewAntennadU=
-reqcNewMarkerName=
-reqcNewReceiverName=
-reqcNewReceiverNumber=
-reqcObsFile=
-reqcOldAntennaName=
-reqcOldAntennaNumber=
-reqcOldAntennadE=
-reqcOldAntennadN=
-reqcOldAntennadU=
-reqcOldMarkerName=
-reqcOldReceiverName=
-reqcOldReceiverNumber=
-reqcOutLogFile=
-reqcOutNavFile=
-reqcOutObsFile=
-reqcPlotDir=
-reqcRnxVersion=
-reqcRunBy=
-reqcSampling=
-reqcSkyPlotSignals=C:2&7 E:1&5 G:1&2&5 J:1&2 R:1&2&3 S:1&5 I:5&9
-reqcStartDateTime=
-reqcUseObsTypes=
-reqcV2Priority=
-rnxAppend=0
-rnxIntr=1 day
-rnxOnlyWithSKL=0
-rnxPath=
-rnxSampl=0.1 sec
-rnxScript=
-rnxSkel=SKL
-rnxV2Priority=CWPX_?
-rnxV3=0
-miscScanRTCM=0
-serialAutoNMEA=Auto
-serialBaudRate=9600
-serialDataBits=8
-serialFileNMEA=
-serialFlowControl=OFF
-serialHeightNMEA=
-serialManualNMEASampling=0
-serialMountPoint=
-serialParity=NONE
-serialPortName=
-serialStopBits=1
-sp3CompExclude=
-sp3CompFile=
-sp3CompOutLogFile=
-sslCaCertPath=
-startTab=14
-statusTab=0
-trafo_dx=
-trafo_dxr=
-trafo_dy=
-trafo_dyr=
-trafo_dz=
-trafo_dzr=
-trafo_ox=
-trafo_oxr=
-trafo_oy=
-trafo_oyr=
-trafo_oz=
-trafo_ozr=
-trafo_sc=
-trafo_scr=
-trafo_t0=
-uploadAntexFile=
-uploadEphHost=
-uploadEphMountpoint=
-uploadEphPassword=
-uploadEphPort=
-uploadEphSample=5
-uploadIntr=1 day
-uploadMountpointsOut=
-uploadSamplClkRnx=10
-uploadSamplRtcmEphCorr=0
-uploadSamplSp3=1
-outWait=5
-outLockTime=0
-
-[PPP]
-antexFile=Input/igs14.atx
-audioResponse=
-corrFile=
-corrMount=
-corrWaitTime=0
-crdFile=Input/APRIORI.CRD
-dataSource=RINEX Files
-eleWgtCode=2
-eleWgtPhase=0
-lcBDS=no
-lcGLONASS=no
-lcGPS=P3&L3
-lcGalileo=no
-logPath=Output
-mapSpeedSlider=1
-mapWinDotColor=red
-mapWinDotSize=5
-maxResC1="3,0"
-maxResL1=0.03
-minEle=5
-minObs=4
-nmeaPath=
-plotCoordinates=VM01
-rinexNav=Input/brdc1690.13p
-rinexObs=Input/VM011690.13O
-seedingTime=0
-sigmaC1=2.0
-sigmaL1=0.01
-snxtroPath=
-snxtroIntr=1 hour
-snxtroSampl=1 sec
-snxtroAc=
-snxtroSol=
-staTable="VM01,100,100,100,100,100,100,0.1,3e-6,,"
-useGoogleMap=false
-useOpenStreetMap=true
-v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/12_PPPOsm.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/12_PPPOsm.bnc	(revision 9235)
+++ /branches/BNC_2.12/Example_Configs/12_PPPOsm.bnc	(revision 9235)
@@ -0,0 +1,160 @@
+[General]
+adviseFail=15
+adviseReco=5
+adviseScript=
+autoStart=0
+outSampl=0.1 sec
+casterUrlList=http://User:Pass@www.igs-ip.net:2101, http://User:Pass@www.euref-ip.net:2101, http://User:Pass@products.igs-ip.net:2101
+cmbMaxres=
+cmbMethod=Filter
+cmbSampl=10
+cmbUseGlonass=0
+cmbStreams=
+corrIntr=1 day
+corrPath=
+corrPort=
+ephIntr=1 day
+ephPath=
+ephV3=0
+font=
+sslIgnoreErrors=0
+logFile=Output/PPPGoogleMaps.log
+miscMount=
+miscPort=
+mountPoints=@Invalid()
+ntripVersion=1
+adviseObsRate=
+onTheFlyInterval=no
+ephOutPort=
+outFile=
+outPort=
+outUPort=
+miscIntr=
+proxyHost=
+proxyPort=
+rawOutFile=
+reqcAction=
+reqcComment=
+reqcEndDateTime=
+reqcLogSummaryOnly=0
+reqcNavFile=
+reqcNewAntennaName=
+reqcNewAntennaNumber=
+reqcNewAntennadE=
+reqcNewAntennadN=
+reqcNewAntennadU=
+reqcNewMarkerName=
+reqcNewReceiverName=
+reqcNewReceiverNumber=
+reqcObsFile=
+reqcOldAntennaName=
+reqcOldAntennaNumber=
+reqcOldAntennadE=
+reqcOldAntennadN=
+reqcOldAntennadU=
+reqcOldMarkerName=
+reqcOldReceiverName=
+reqcOldReceiverNumber=
+reqcOutLogFile=
+reqcOutNavFile=
+reqcOutObsFile=
+reqcPlotDir=
+reqcRnxVersion=
+reqcRunBy=
+reqcSampling=
+reqcSkyPlotSignals=C:2&7 E:1&5 G:1&2&5 J:1&2 R:1&2&3 S:1&5 I:5&9
+reqcStartDateTime=
+reqcUseObsTypes=
+reqcV2Priority=
+rnxAppend=0
+rnxIntr=1 day
+rnxOnlyWithSKL=0
+rnxPath=
+rnxSampl=0.1 sec
+rnxScript=
+rnxSkel=SKL
+rnxV2Priority=CWPX_?
+rnxV3=0
+miscScanRTCM=0
+serialAutoNMEA=Auto
+serialBaudRate=9600
+serialDataBits=8
+serialFileNMEA=
+serialFlowControl=OFF
+serialHeightNMEA=
+serialManualNMEASampling=0
+serialMountPoint=
+serialParity=NONE
+serialPortName=
+serialStopBits=1
+sp3CompExclude=
+sp3CompFile=
+sp3CompOutLogFile=
+sslCaCertPath=
+startTab=14
+statusTab=0
+trafo_dx=
+trafo_dxr=
+trafo_dy=
+trafo_dyr=
+trafo_dz=
+trafo_dzr=
+trafo_ox=
+trafo_oxr=
+trafo_oy=
+trafo_oyr=
+trafo_oz=
+trafo_ozr=
+trafo_sc=
+trafo_scr=
+trafo_t0=
+uploadAntexFile=
+uploadEphHost=
+uploadEphMountpoint=
+uploadEphPassword=
+uploadEphPort=
+uploadEphSample=5
+uploadIntr=1 day
+uploadMountpointsOut=
+uploadSamplClkRnx=10
+uploadSamplRtcmEphCorr=0
+uploadSamplSp3=1
+outWait=5
+outLockTime=0
+
+[PPP]
+antexFile=Input/igs14.atx
+audioResponse=
+corrFile=
+corrMount=
+corrWaitTime=0
+crdFile=Input/APRIORI.CRD
+dataSource=RINEX Files
+eleWgtCode=2
+eleWgtPhase=0
+lcBDS=no
+lcGLONASS=no
+lcGPS=P3&L3
+lcGalileo=no
+logPath=Output
+mapSpeedSlider=1
+mapWinDotColor=red
+mapWinDotSize=5
+maxResC1="3,0"
+maxResL1=0.03
+minEle=5
+minObs=4
+nmeaPath=
+plotCoordinates=VM01
+rinexNav=Input/brdc1690.13p
+rinexObs=Input/VM011690.13O
+seedingTime=0
+sigmaC1=2.0
+sigmaL1=0.01
+snxtroPath=
+snxtroIntr=1 hour
+snxtroSampl=1 sec
+snxtroAc=
+snxtroSol=
+staTable="VM01,100,100,100,100,100,100,0.1,3e-6,,"
+v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/13_SPPQuickStart.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/13_SPPQuickStart.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/13_SPPQuickStart.bnc	(revision 9235)
@@ -158,5 +158,3 @@
 snxtroSol=
 staTable="CUT000AUS0,0.01,0.01,0.01,100.0,100.0,100.0,0.1,3e-6,,"
-useGoogleMap=false
-useOpenStreetMap=true
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/14_SaveSp3.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/14_SaveSp3.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/14_SaveSp3.bnc	(revision 9235)
@@ -158,5 +158,3 @@
 snxtroSol=
 staTable=",,,,,,,,,,"
-useGoogleMap=false
-useOpenStreetMap=false
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/15_Sp3ETRFPPP.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/15_Sp3ETRFPPP.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/15_Sp3ETRFPPP.bnc	(revision 9235)
@@ -158,5 +158,3 @@
 snxtroSol=
 staTable="FFMJ00DEU0,0.01,0.01,0.01,100.0,100.0,100.0,0.1,3e-6,,"
-useGoogleMap=false
-useOpenStreetMap=true
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/16_Upload.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/16_Upload.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/16_Upload.bnc	(revision 9235)
@@ -158,5 +158,3 @@
 snxtroSol=
 staTable=",,,,,,"
-useGoogleMap=false
-useOpenStreetMap=false
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/17_Combi.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/17_Combi.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/17_Combi.bnc	(revision 9235)
@@ -158,5 +158,3 @@
 snxtroSol=
 staTable=",,,,,"
-useGoogleMap=false
-useOpenStreetMap=false
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/18_CombiPPP.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/18_CombiPPP.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/18_CombiPPP.bnc	(revision 9235)
@@ -158,5 +158,3 @@
 snxtroSol=
 staTable="FFMJ00DEU0,0.01,0.01,0.01,100.0,100.0,100.0,0.1,3e-6,,"
-useGoogleMap=true
-useOpenStreetMap=false
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/19_UploadEph.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/19_UploadEph.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/19_UploadEph.bnc	(revision 9235)
@@ -158,5 +158,3 @@
 snxtroSol=
 staTable=",,,,"
-useGoogleMap=false
-useOpenStreetMap=false
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/20_CompareSp3.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/20_CompareSp3.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/20_CompareSp3.bnc	(revision 9235)
@@ -157,5 +157,3 @@
 snxtroSol=
 staTable=",,"
-useGoogleMap=false
-useOpenStreetMap=false
 v3filenames=0
Index: /branches/BNC_2.12/Example_Configs/21_Empty.bnc
===================================================================
--- /branches/BNC_2.12/Example_Configs/21_Empty.bnc	(revision 9234)
+++ /branches/BNC_2.12/Example_Configs/21_Empty.bnc	(revision 9235)
@@ -158,5 +158,3 @@
 snxtroSol=
 staTable=
-useGoogleMap=false
-useOpenStreetMap=false
 v3filenames=0
Index: /branches/BNC_2.12/src/bnc.qrc
===================================================================
--- /branches/BNC_2.12/src/bnc.qrc	(revision 9234)
+++ /branches/BNC_2.12/src/bnc.qrc	(revision 9235)
@@ -55,5 +55,4 @@
 </qresource>
 <qresource>
-    <file>map/map_gm.html</file>
     <file>map/map_osm.html</file>
     <file>map/crosshair.png</file>
Index: /branches/BNC_2.12/src/bncmain.cpp
===================================================================
--- /branches/BNC_2.12/src/bncmain.cpp	(revision 9234)
+++ /branches/BNC_2.12/src/bncmain.cpp	(revision 9235)
@@ -238,6 +238,4 @@
       "   PPP/plotCoordinates  {Mountpoint for time series plot [character string]}\n"
       "   PPP/audioResponse    {Audio response threshold in meters [floating-point number]}\n"
-      "   PPP/useOpenStreetMap {OSM track map [character string: true|false]}\n"
-      "   PPP/useGoogleMap     {Google track map [character string: true|false]}\n"
       "   PPP/mapWinDotSize    {Size of dots on map [integer number: 0-10]}\n"
       "   PPP/mapWinDotColor   {Color of dots and cross hair on map [character string: red|yellow]}\n"
Index: /branches/BNC_2.12/src/bncwindow.cpp
===================================================================
--- /branches/BNC_2.12/src/bncwindow.cpp	(revision 9234)
+++ /branches/BNC_2.12/src/bncwindow.cpp	(revision 9235)
@@ -985,12 +985,7 @@
   pppLayout4->addWidget(_pppWidgets._audioResponse,                      ir, 4, Qt::AlignLeft);
   pppLayout4->addWidget(new QLabel("Audio response"),                    ir, 5, Qt::AlignRight);
-
   ++ir;
   pppLayout4->addWidget(new QLabel("Track map"),                         ir, 0, Qt::AlignLeft);
   pppLayout4->addWidget(_pppWidgets._mapWinButton,                       ir, 1, Qt::AlignLeft);
-  pppLayout4->addWidget(new QLabel("OSM"),                               ir, 2, Qt::AlignLeft);
-  pppLayout4->addWidget(_pppWidgets._useOpenStreetMap,                   ir, 3, Qt::AlignLeft);
-  pppLayout4->addWidget(new QLabel("Google"),                            ir, 3, Qt::AlignRight);
-  pppLayout4->addWidget(_pppWidgets._useGoogleMap,                       ir, 4, Qt::AlignLeft);
   ++ir;
   pppLayout4->addWidget(new QLabel("Dot-properties"),                    ir, 0, Qt::AlignLeft);
@@ -2799,6 +2794,4 @@
   saveOptions();
   enableWidget(false, _pppWidgets._mapWinButton);
-  enableWidget(false, _pppWidgets._useGoogleMap);
-  enableWidget(false, _pppWidgets._useOpenStreetMap);
   enableWidget(false, _pppWidgets._mapWinDotSize);
   enableWidget(false, _pppWidgets._mapWinDotColor);
@@ -2822,6 +2815,4 @@
 #ifdef QT_WEBKIT
   enableWidget(true, _pppWidgets._mapWinButton);
-  enableWidget(true, _pppWidgets._useGoogleMap);
-  enableWidget(true, _pppWidgets._useOpenStreetMap);
   enableWidget(true, _pppWidgets._mapWinDotSize);
   enableWidget(true, _pppWidgets._mapWinDotColor);
Index: /branches/BNC_2.12/src/map/bncmapwin.cpp
===================================================================
--- /branches/BNC_2.12/src/map/bncmapwin.cpp	(revision 9234)
+++ /branches/BNC_2.12/src/map/bncmapwin.cpp	(revision 9235)
@@ -35,5 +35,5 @@
  * Created:    08-Jun-2013
  *
- * Changes:    
+ * Changes:
  *
  * -----------------------------------------------------------------------*/
@@ -75,5 +75,5 @@
   loadHtmlPage();
 
-  _webView->show();  
+  _webView->show();
 
   _statusLabel = new QLabel;
@@ -99,5 +99,5 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 void bncMapWin::loadHtmlPage() {
@@ -106,10 +106,5 @@
 
   QFile htmlFile;
-  if (settings.value("PPP/useOpenStreetMap").toBool()) {
-    htmlFile.setFileName(":/map/map_osm.html");
-  }
-  else {
-    htmlFile.setFileName(":/map/map_gm.html");
-  }
+  htmlFile.setFileName(":/map/map_osm.html");
   if (!htmlFile.open(QFile::ReadOnly)) {
     qDebug() << "bncMapWin:: cannot open html file";
@@ -123,5 +118,5 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 void bncMapWin::slotInitMap(bool isOk) {
@@ -139,5 +134,5 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 void bncMapWin::gotoLocation(double lat, double lon) {
@@ -166,5 +161,5 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 void bncMapWin::slotNewPosition(QByteArray staID, bncTime /* time */, QVector<double> xx) {
Index: anches/BNC_2.12/src/map/map_gm.html
===================================================================
--- /branches/BNC_2.12/src/map/map_gm.html	(revision 9234)
+++ 	(revision )
@@ -1,96 +1,0 @@
-<!DOCTYPE html>
-<html>
-  <head>
-    <meta name="viewport" content="initial-scale=1.0, user-scalable=yes" />
-
-    <style type="text/css">
-        * { margin: 0; padding: 0; }
-        html { width: 100%; height: 100%; }
-        body { width: 100%; height: 100%; }
-        #map_canvas { width: 100%; height: 100%; background-color: gray; }
-    </style>
-
-    <script>
-      var map;
-      var marker;
-      var zoom;
-      var dotSize;
-      var dotColor;
-      var traceIcon;
-      
-      function initialize(lat, lon, mapWinDotSize, mapWinDotColor) {
-        dotSize = mapWinDotSize;
-	dotColor = mapWinDotColor;
-	if (dotSize > 10) dotSize = 10;
-
-        var myOptions = {
-          center:     new google.maps.LatLng(lat, lon),
-          zoom:       3,
-          mapTypeId:  google.maps.MapTypeId.SATELLITE,
-          panControl: true
-        };
-      
-        map  = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
-        zoom = 0;       
-
-        var image = new google.maps.MarkerImage("qrc:///map/crosshair.png",
-                                                null, 
-                                                null,
-                                                new google.maps.Point(20, 20),
-                                                new google.maps.Size(40,40)
-                                               );
-
-        if (dotColor == 1) {
-          traceIcon = new google.maps.MarkerImage("qrc:///map/reddot.png",
-                                                null, 
-                                                null,
-                                                new google.maps.Point(dotSize/2, dotSize/2),
-                                                new google.maps.Size(dotSize, dotSize)
-						);
-	}
-  
-
-        if (dotColor == 2) {
-          traceIcon = new google.maps.MarkerImage("qrc:///map/yellowdot.png",
-                                                null, 
-                                                null,
-                                                new google.maps.Point(dotSize/2, dotSize/2),
-                                                new google.maps.Size(dotSize, dotSize)
-						);
-	}
-
-        marker = new google.maps.Marker({
-          map:      map,
-          position: new google.maps.LatLng(lat, lon),
-          icon:     image,
-        });
-      }
-      
-      function gotoLocation(lat, lon) {
-        if (zoom == 0) {
-          zoom = 17;
-          map.setZoom(zoom);
-        }
-        var position = new google.maps.LatLng(lat, lon);
-        map.setCenter(position);
-        marker.setPosition(position);
-
-        if (dotSize > 0) {
-          var trace = new google.maps.Marker({
-            map:      map,
-            position: position,
-            icon:     traceIcon,
-          });
-        }
-      }
-    </script>
-
-    <script type="text/javascript"
-      src="http://maps.googleapis.com/maps/api/js?sensor=false">
-    </script>
-
-  </head>
-  <body>
-    <div id="map_canvas">Waiting for data...</div>
-  </body>
-</html>
Index: anches/BNC_2.12/src/map/map_osb.html
===================================================================
--- /branches/BNC_2.12/src/map/map_osb.html	(revision 9234)
+++ 	(revision )
@@ -1,110 +1,0 @@
-<!DOCTYPE HTML>
-<html>
-
-  <head>
-    <title>BNC OpenStreetMap View</title>
-    <style type="text/css">
-      html, body, #basicMap {
-          width: 100%;
-          height: 100%;
-          margin: 0;
-      }
-    </style>
-
-    <script src="http://openlayers.org/api/OpenLayers.js" ></script>
-
-    <script>
-      var map;
-      var markers;
-      var marker;
-      var icon;  
-      var traceIcon;
-      var fromProjection;
-      var toProjection;
-      var useTrace;
-      var zoom;
-
-      OpenLayers.Layer.OSM.StreetBrowser = OpenLayers.Class(OpenLayers.Layer.OSM, {
-        /**
-         * Constructor: OpenLayers.Layer.OSM.StreetBrowser
-         *
-         * Parameters:
-         * name - {String}
-         * options - {Object} Hashtable of extra options to tag onto the layer
-         */
-        initialize: function(name, options) {
-          var url = [
-              "http://tiles-base.openstreetbrowser.org/tiles/basemap_base/${z}/${x}/${y}.png"
-          ];
-          options = OpenLayers.Util.extend({
-            numZoomLevels: 18,
-            buffer: 0,
-            transitionEffect: "resize"
-          }, options);
-          var newArguments = [name, url, options];
-          OpenLayers.Layer.XYZ.prototype.initialize.apply(this, newArguments);
-        },
-    
-        CLASS_NAME: "OpenLayers.Layer.OSM.StreetBrowser"
-      });
-
-      function initialize(lat, lon, trace) {
-        useTrace = trace;
-
-        map = new OpenLayers.Map("basicMap",
-                                 {controls:[
-                                  new OpenLayers.Control.Navigation(),
-                                  new OpenLayers.Control.PanZoomBar()]});
-        fromProjection = new OpenLayers.Projection("EPSG:4326");   // WGS 1984
-        toProjection   = new OpenLayers.Projection("EPSG:900913"); // Spherical Mercator
-        zoom           = 0; 
-
-        var mapnik   = new OpenLayers.Layer.OSM.StreetBrowser();
-        var position = new OpenLayers.LonLat(lon, lat).transform(fromProjection, toProjection);
- 
-        map.addLayer(mapnik);
-
-        var size    = new OpenLayers.Size(40,40);
-        var offset  = new OpenLayers.Pixel(-size.w/2, -size.h/2);
-        icon        = new OpenLayers.Icon("qrc:///map/crosshair.png", size, offset);
-
-        var sizeT   = new OpenLayers.Size(2,2);
-        var offsetT = new OpenLayers.Pixel(-sizeT.w/2, -13);
-        traceIcon   = new OpenLayers.Icon("qrc:///map/reddot.png", sizeT, offsetT);
-
-        markers = new OpenLayers.Layer.Markers("Markers");
-        marker  = new OpenLayers.Marker(position, icon);
-        markers.addMarker(marker);
-        
-        map.addLayer(markers);
-
-        map.setCenter(position, 3);
-      }
-
-      function gotoLocation(lat, lon) {
-        var position = new OpenLayers.LonLat(lon, lat).transform(fromProjection, toProjection);
-        if (zoom == 0) {
-          zoom = 15;
-          map.setCenter(position, zoom);
-        }
-        else {
-          map.setCenter(position);
-        }
-        markers.removeMarker(marker);
-        marker = new OpenLayers.Marker(position, icon);
-        markers.addMarker(marker);
-        if (useTrace == 1) {
-          var trace = new OpenLayers.Marker(position, traceIcon.clone());
-          markers.addMarker(trace);
-        }
-      }
-
-    </script>
-
-  </head>
-
-  <body>
-    <div id="basicMap"></div>
-  </body>
-
-</html>
Index: /branches/BNC_2.12/src/pppWidgets.cpp
===================================================================
--- /branches/BNC_2.12/src/pppWidgets.cpp	(revision 9234)
+++ /branches/BNC_2.12/src/pppWidgets.cpp	(revision 9235)
@@ -91,6 +91,4 @@
   _plotCoordinates  = new QLineEdit;    _plotCoordinates ->setObjectName("PPP/plotCoordinates");  _widgets << _plotCoordinates;
   _mapWinButton     = new QPushButton;  _mapWinButton    ->setObjectName("PPP/mapWinButton");     _widgets << _mapWinButton;
-  _useGoogleMap     = new QRadioButton; _useGoogleMap    ->setObjectName("PPP/useGoogleMap");     _widgets << _useGoogleMap;
-  _useOpenStreetMap = new QRadioButton; _useOpenStreetMap->setObjectName("PPP/useOpenStreetMap"); _widgets << _useOpenStreetMap;
   _audioResponse    = new QLineEdit;    _audioResponse   ->setObjectName("PPP/audioResponse");    _widgets << _audioResponse;
   _mapWinDotSize    = new QLineEdit;    _mapWinDotSize   ->setObjectName("PPP/mapWinDotSize");    _widgets << _mapWinDotSize;
@@ -199,6 +197,4 @@
   _audioResponse->setWhatsThis(tr("<p>Specify an 'Audio response' threshold in meters. A beep is produced by BNC whenever a horizontal PPP coordinate component differs by more than the threshold value from the a priori marker coordinate.</p><p>Default is an empty option field, meaning that you don't want BNC to produce alarm signals.</p>"));
   _mapWinButton->setWhatsThis(tr("<p>You may like to track your rover position using Google Maps or Open Street Map as a background map. A 'Track map' can be produced with BNC in 'Real-Time Streams' or 'RINEX files' PPP mode.</p><p>The 'Open Map' button opens a windows showing a map according to specified options.</p><p>Even in 'RINEX files' post processing mode you should not forget to specify a proxy under the 'Network' tab if that is operated in front of BNC because the program needs to download the map data.</p>"));
-  _useGoogleMap->setWhatsThis(tr("<p>Specify Google Maps as the background for your rover positions.</p>"));
-  _useOpenStreetMap->setWhatsThis(tr("<p>Specify Open Street Map as the background for your rover positions.</p>"));
   _mapWinDotSize->setWhatsThis(tr("<p>Specify the size of dots showing rover positions on the track map.</p><p>A dot size of '3' may be appropriate. The maximum possible dot size is '10'. An empty option field or a size of '0' would mean that you don't want BNC to show the rover's track on the map.</p>"));
   _mapWinDotColor->setWhatsThis(tr("<p>Specify the color of dots showing the rover track on the map.</p>"));
@@ -248,6 +244,4 @@
   delete _plotCoordinates;
   delete _mapWinButton;
-  delete _useGoogleMap;
-  delete _useOpenStreetMap;
   delete _audioResponse;
   delete _mapWinDotSize;
@@ -378,6 +372,4 @@
   _plotCoordinates ->setText(settings.value(_plotCoordinates->objectName()).toString());
   _audioResponse   ->setText(settings.value(_audioResponse->objectName()).toString());
-  _useGoogleMap    ->setChecked(settings.value(_useGoogleMap->objectName()).toBool());
-  _useOpenStreetMap->setChecked(settings.value(_useOpenStreetMap->objectName()).toBool());
   _mapWinDotSize   ->setText(settings.value(_mapWinDotSize->objectName()).toString());
 
@@ -444,6 +436,4 @@
   settings.setValue(_plotCoordinates ->objectName(), _plotCoordinates ->text());
   settings.setValue(_audioResponse   ->objectName(), _audioResponse   ->text());
-  settings.setValue(_useGoogleMap    ->objectName(), _useGoogleMap    ->isChecked());
-  settings.setValue(_useOpenStreetMap->objectName(), _useOpenStreetMap->isChecked());
   settings.setValue(_mapWinDotSize   ->objectName(), _mapWinDotSize   ->text());
   settings.setValue(_mapWinDotColor  ->objectName(), _mapWinDotColor  ->currentText());
Index: /branches/BNC_2.12/src/pppWidgets.h
===================================================================
--- /branches/BNC_2.12/src/pppWidgets.h	(revision 9234)
+++ /branches/BNC_2.12/src/pppWidgets.h	(revision 9235)
@@ -74,6 +74,4 @@
   QLineEdit*     _plotCoordinates;
   QPushButton*   _mapWinButton;
-  QRadioButton*  _useGoogleMap;
-  QRadioButton*  _useOpenStreetMap;
   QLineEdit*     _audioResponse;
   QLineEdit*     _mapWinDotSize;
Index: /branches/BNC_2.12/src/src.pri
===================================================================
--- /branches/BNC_2.12/src/src.pri	(revision 9234)
+++ /branches/BNC_2.12/src/src.pri	(revision 9235)
@@ -162,5 +162,5 @@
   HEADERS     += map/bncmapwin.h
   SOURCES     += map/bncmapwin.cpp
-  OTHER_FILES += map/map_gm.html map/map_osm.html
+  OTHER_FILES += map/map_osm.html
 }
 else {
